Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224593 - virt-install does not allow for HVM serial console capture
Summary: virt-install does not allow for HVM serial console capture
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-virtinst
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-26 16:01 UTC by Stephen Tweedie
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version: RHEA-2007-0636
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 18:09:30 UTC


Attachments (Terms of Use)
Enable a serial port in HVM guests (deleted)
2007-01-26 20:19 UTC, Daniel Berrange
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2007:0636 normal SHIPPED_LIVE python-virtinst enhancement update 2007-10-30 15:47:18 UTC

Description Stephen Tweedie 2007-01-26 16:01:43 UTC
Description of problem:
When virt-install creates a new guest for an HVM install, it does not set up a
qemu-dm serial console device (equivalent to

serial = "pty" # enable serial console

in a xen config file.)  As a result, it is completely impossible to capture
kernel serial console output from a guest install for debugging purposes.

Version-Release number of selected component (if applicable):
python-virtinst-0.99.0-1.el5.noarch.rpm

Comment 1 Daniel Berrange 2007-01-26 20:19:51 UTC
Created attachment 146709 [details]
Enable a serial port in HVM guests

The persistent config file created for HVM guests in /etc/xen already turns on
the serial console. The libvirt XML used for the initial boot, however, does
not define a serial port. The fix is simple - just add

  <console device='pty'/>

To the XML used to create the guest.

I have attached a patch which does just this.

With this patch applied you should be able to do something like:

 virt-install -n new2 -r 500 -f /var/lib/xen/images/new2.img -s 2 --vnc -v -c
/root/boot.iso -d

And on the syslinux/grub boot command line add 'console=ttyS0 console=tty0' and
then connect to the console with the usual 'xm console'. I have tested this
with a FC6 fullvirt install.

Comment 3 RHEL Product and Program Management 2007-05-01 17:33:29 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Daniel Berrange 2007-06-14 18:52:23 UTC
A python-virtinst-0.103.0-1.el5  update has been built in dist-5E-qu-candidate
which addresses this bug. All HVM guests now have a serial console configured
during install.

* Tue May  1 2007 Daniel P. Berrange <berrange@redhat.com> - 0.103.0-1.el5
- Update to 0.103.0 upstream release (bz #243465)

Example invocation for test

Start a new guest...

# virt-install --location
http://qafiler.boston.redhat.com/redhat/rhel5-server-x86_64/ --hvm --vnc
--noautoconsole --file /var/lib/xen/images/rhel5fv.img --file-size 5 --name
rhel5fv --ram 500 

And see it has a serial console configured

# virsh dumpxml rhel5fv | grep console
    <console tty='/dev/pts/1'/>


On the syslinux boot screen for Anaconda you can now request use of serial line
& see output with   'virsh console rhel5fv'

Comment 8 Cole Robinson 2007-08-10 17:00:50 UTC
Bug reproduced on GA, verified as fixed in python-virtinst-0.103.0-2.el5.
Setting bug status to VERIFIED.

Comment 10 errata-xmlrpc 2007-11-07 18:09:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0636.html



Note You need to log in before you can comment on or make changes to this bug.